import npyscreen


from Player import Player


class MainMenu(npyscreen.Form):
    def afterEditing(self):
        # TODO: the game needs to happen after this inital main menu
        self.parentApp.setNextForm('GAME')

    def create(self):
        self.add(npyscreen.FixedText, value='You cannot select a file yet! Just hit OK', editable=False)
        self.playerSaveLocation = self.add(npyscreen.TitleFilenameCombo, name="Your save file:")

        self.parentApp.player = Player('playerdata/defaults/default_player.yaml')
        self.add(npyscreen.MultiLineEdit, value=self.parentApp.gamelib['menu']['graphics']['logo'], editable=False)